This is the multi-page printable view of this section. Click here to print.

Return to the regular view of this page.

Organization

Overview

Provides an Application Programming Interface (API) that supports programmatic use of IaaS/PaaS products provided by SCP.

This guide provides a brief description of Organization service and how to call API. The API is provided as a RESTful API, and it responds in JSON format.

Version

Deprecated versions with Not Before dates that have arrived or expired are no longer supported. We recommend using the latest version.

VersionStatusNot Before
1.2CURRENT-
1.1DEPRECATED20260531
1.0DEPRECATED20251231

OpenAPI URL

https://organization.{environment}.samsungsdscloud.com

Environment and Region List

environmentregion
skr-west1
skr-east1
gkr-south1
gkr-south2
gkr-south3
ekr-west1
ekr-east1

1 - APIs

1.1 - AcceptInvitation

1.1.1 - 1.2

put /v1/invitations/{invitation_id}/accept

Description

accept a specific invitation

State ACTIVE (CURRENT)

VersionNot Before
1.2-

Parameters

TypeNameDescriptionSchemaDefault
pathinvitation_id
required
Invitation ID
Example : 138c2fc8c29a449dbfa8681f8f1d78e2
stringNone

Responses

HTTP CodeDescriptionSchema
200OKInvitationAcceptResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/invitations/{invitation_id}/accept

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = organization 1.2"

Example HTTP response

Response 200

{
    "failed_id": {
        "error_code": "Invitation.AlreadySentError",
        "failed_caused": "Account b4d3f2h1j0l9n8p7r6t5v4x3z2y1w0 is not found",
        "failed_id": "o-x9y8z7w6v5u4t3s2r1q0p9o8n7m6l5",
        "failed_name": "My Organization",
        "response": {}
    },
    "master_account_email": "score@samsung.com",
    "success_id": {
        "success_id": "o-x9y8z7w6v5u4t3s2r1q0p9o8n7m6l5",
        "success_name": "o-x9y8z7w6v5u4t3s2r1q0p9o8n7m6l5"
    }
}

1.1.2 - 1.1

put /v1/invitations/{invitation_id}/accept

Description

accept a specific invitation

State ACTIVE (DEPRECATED)

Deprecated versions with Not Before dates that have arrived or expired are no longer supported. We recommend using the latest version.

VersionNot Before
1.120260531

Parameters

TypeNameDescriptionSchemaDefault
pathinvitation_id
required
Invitation ID
Example : 138c2fc8c29a449dbfa8681f8f1d78e2
stringNone

Responses

HTTP CodeDescriptionSchema
200OKInvitationAcceptResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/invitations/{invitation_id}/accept

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = organization 1.1"

Example HTTP response

Response 200

{
    "failed_id": {
        "error_code": "Invitation.AlreadySentError",
        "failed_caused": "Account b4d3f2h1j0l9n8p7r6t5v4x3z2y1w0 is not found",
        "failed_id": "o-x9y8z7w6v5u4t3s2r1q0p9o8n7m6l5",
        "failed_name": "My Organization",
        "response": {}
    },
    "master_account_email": "score@samsung.com",
    "success_id": {
        "success_id": "o-x9y8z7w6v5u4t3s2r1q0p9o8n7m6l5",
        "success_name": "o-x9y8z7w6v5u4t3s2r1q0p9o8n7m6l5"
    }
}

1.1.3 - 1.0

put /v1/invitations/{invitation_id}/accept

Description

accept a specific invitation

State ACTIVE (DEPRECATED)

Deprecated versions with Not Before dates that have arrived or expired are no longer supported. We recommend using the latest version.

VersionNot Before
1.020251231

Parameters

TypeNameDescriptionSchemaDefault
pathinvitation_id
required
Invitation ID
Example : 138c2fc8c29a449dbfa8681f8f1d78e2
stringNone

Responses

HTTP CodeDescriptionSchema
200OKInvitationAcceptResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/invitations/{invitation_id}/accept

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = organization 1.0"

Example HTTP response

Response 200

{
    "failed_id": {
        "error_code": "Invitation.AlreadySentError",
        "failed_caused": "Account b4d3f2h1j0l9n8p7r6t5v4x3z2y1w0 is not found",
        "failed_id": "o-x9y8z7w6v5u4t3s2r1q0p9o8n7m6l5",
        "failed_name": "My Organization",
        "response": {}
    },
    "master_account_email": "score@samsung.com",
    "success_id": {
        "success_id": "o-x9y8z7w6v5u4t3s2r1q0p9o8n7m6l5",
        "success_name": "o-x9y8z7w6v5u4t3s2r1q0p9o8n7m6l5"
    }
}

1.2 - AttachPolicyBindings

1.2.1 - 1.2

post /v1/assignments/policy-bindings

Description

attach policy bindings

State ACTIVE (CURRENT)

VersionNot Before
1.2-

Parameters

TypeNameDescriptionSchemaDefault
bodybody
required

PolicyAttachRequest

Responses

HTTP CodeDescriptionSchema
200OKControlPolicyAssignmentResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone

Example HTTP request

Request path

/v1/assignments/policy-bindings

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = organization 1.2"

Request body

{
    "entity": "POLICY",
    "organization_id": "o-x9y8z7w6v5u4t3s2r1q0p9o8n7m6l5",
    "policy_ids": [
        "f98e76d54c32b10a9z8y7x6w5v4u3"
    ],
    "target_ids": [
        "ou-1a2b3c4d5e6f7g8h9i0j1k2l3m4n5"
    ]
}

Example HTTP response

Response 200

{
    "failed_ids": [
        {
            "error_code": "Conflict",
            "failed_caused": "Account 482d111a302547fbbd11ee0141ea23bb is not found",
            "failed_id": "ou-1a2b3c4d5e6f7g8h9i0j1k2l3m4n5",
            "response": {}
        }
    ],
    "success_ids": [
        "ou-1a2b3c4d5e6f7g8h9i0j1k2l3m4n5"
    ]
}

1.2.2 - 1.1

post /v1/assignments/policy-bindings

Description

attach policy bindings

State ACTIVE (DEPRECATED)

Deprecated versions with Not Before dates that have arrived or expired are no longer supported. We recommend using the latest version.

VersionNot Before
1.120260531

Parameters

TypeNameDescriptionSchemaDefault
bodybody
required

PolicyAttachRequest

Responses

HTTP CodeDescriptionSchema
200OKControlPolicyAssignmentResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone

Example HTTP request

Request path

/v1/assignments/policy-bindings

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = organization 1.1"

Request body

{
    "entity": "POLICY",
    "organization_id": "o-x9y8z7w6v5u4t3s2r1q0p9o8n7m6l5",
    "policy_ids": [
        "f98e76d54c32b10a9z8y7x6w5v4u3"
    ],
    "target_ids": [
        "ou-1a2b3c4d5e6f7g8h9i0j1k2l3m4n5"
    ]
}

Example HTTP response

Response 200

{
    "failed_ids": [
        {
            "error_code": "Conflict",
            "failed_caused": "Account 482d111a302547fbbd11ee0141ea23bb is not found",
            "failed_id": "ou-1a2b3c4d5e6f7g8h9i0j1k2l3m4n5",
            "response": {}
        }
    ],
    "success_ids": [
        "ou-1a2b3c4d5e6f7g8h9i0j1k2l3m4n5"
    ]
}

1.2.3 - 1.0

post /v1/assignments/policy-bindings

Description

attach policy bindings

State ACTIVE (DEPRECATED)

Deprecated versions with Not Before dates that have arrived or expired are no longer supported. We recommend using the latest version.

VersionNot Before
1.020251231

Parameters

TypeNameDescriptionSchemaDefault
bodybody
required

PolicyAttachRequest

Responses

HTTP CodeDescriptionSchema
200OKControlPolicyAssignmentResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone

Example HTTP request

Request path

/v1/assignments/policy-bindings

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = organization 1.0"

Request body

{
    "entity": "POLICY",
    "organization_id": "o-x9y8z7w6v5u4t3s2r1q0p9o8n7m6l5",
    "policy_ids": [
        "f98e76d54c32b10a9z8y7x6w5v4u3"
    ],
    "target_ids": [
        "ou-1a2b3c4d5e6f7g8h9i0j1k2l3m4n5"
    ]
}

Example HTTP response

Response 200

{
    "failed_ids": [
        {
            "error_code": "Conflict",
            "failed_caused": "Account 482d111a302547fbbd11ee0141ea23bb is not found",
            "failed_id": "ou-1a2b3c4d5e6f7g8h9i0j1k2l3m4n5",
            "response": {}
        }
    ],
    "success_ids": [
        "ou-1a2b3c4d5e6f7g8h9i0j1k2l3m4n5"
    ]
}

1.3 - CancelInvitations

1.3.1 - 1.2

put /v1/invitations/cancel

Description

cancel invitations

State ACTIVE (CURRENT)

VersionNot Before
1.2-

Parameters

TypeNameDescriptionSchemaDefault
bodybody
required

InvitationCancelRequest

Responses

HTTP CodeDescriptionSchema
200OKInvitationCancelResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/invitations/cancel

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = organization 1.2"

Request body

{
    "ids": [
        "138c2fc8c29a449dbfa8681f8f1d78e2"
    ],
    "organization_id": "o-x9y8z7w6v5u4t3s2r1q0p9o8n7m6l5"
}

Example HTTP response

Response 200

{
    "success_ids": [
        "138c2fc8c29a449dbfa8681f8f1d78e2"
    ]
}

1.3.2 - 1.1

put /v1/invitations/cancel

Description

cancel invitations

State ACTIVE (DEPRECATED)

Deprecated versions with Not Before dates that have arrived or expired are no longer supported. We recommend using the latest version.

VersionNot Before
1.120260531

Parameters

TypeNameDescriptionSchemaDefault
bodybody
required

InvitationCancelRequest

Responses

HTTP CodeDescriptionSchema
200OKInvitationCancelResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/invitations/cancel

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = organization 1.1"

Request body

{
    "ids": [
        "138c2fc8c29a449dbfa8681f8f1d78e2"
    ],
    "organization_id": "o-x9y8z7w6v5u4t3s2r1q0p9o8n7m6l5"
}

Example HTTP response

Response 200

{
    "success_ids": [
        "138c2fc8c29a449dbfa8681f8f1d78e2"
    ]
}

1.3.3 - 1.0

put /v1/invitations/cancel

Description

cancel invitations

State ACTIVE (DEPRECATED)

Deprecated versions with Not Before dates that have arrived or expired are no longer supported. We recommend using the latest version.

VersionNot Before
1.020251231

Parameters

TypeNameDescriptionSchemaDefault
bodybody
required

InvitationCancelRequest

Responses

HTTP CodeDescriptionSchema
200OKInvitationCancelResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/invitations/cancel

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = organization 1.0"

Request body

{
    "ids": [
        "138c2fc8c29a449dbfa8681f8f1d78e2"
    ],
    "organization_id": "o-x9y8z7w6v5u4t3s2r1q0p9o8n7m6l5"
}

Example HTTP response

Response 200

{
    "success_ids": [
        "138c2fc8c29a449dbfa8681f8f1d78e2"
    ]
}

1.4 - CreateAccount

1.4.1 - 1.2

post /v1/organization-accounts

Description

create a account

State ACTIVE (CURRENT)

VersionNot Before
1.2-

Parameters

TypeNameDescriptionSchemaDefault
bodybody
required

OrganizationUserCreateRequest

Responses

HTTP CodeDescriptionSchema
201CreatedAccountCreateResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone

Example HTTP request

Request path

/v1/organization-accounts

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = organization 1.2"

Request body

{
    "login_id": "log-archive@samsung.com",
    "name": "score-account",
    "organization_id": "o-x9y8z7w6v5u4t3s2r1q0p9o8n7m6l5",
    "role_name": "OrganizationAccountAccessRole"
}

Example HTTP response

Response 201

{
    "failed": {
        "error_code": "Organization.AccountNotRemovable",
        "failed_caused": "Account b4d3f2h1j0l9n8p7r6t5v4x3z2y1w0 is not found",
        "response": {}
    },
    "success": {
        "success_id": "b4d3f2h1j0l9n8p7r6t5v4x3z2y1w0",
        "success_name": "score-account"
    }
}

1.4.2 - 1.1

post /v1/organization-accounts

Description

create a account

State ACTIVE (DEPRECATED)

Deprecated versions with Not Before dates that have arrived or expired are no longer supported. We recommend using the latest version.

VersionNot Before
1.120260531

Parameters

TypeNameDescriptionSchemaDefault
bodybody
required

OrganizationUserCreateRequest

Responses

HTTP CodeDescriptionSchema
201CreatedAccountCreateResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone

Example HTTP request

Request path

/v1/organization-accounts

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = organization 1.1"

Request body

{
    "login_id": "log-archive@samsung.com",
    "name": "score-account",
    "organization_id": "o-x9y8z7w6v5u4t3s2r1q0p9o8n7m6l5",
    "role_name": "OrganizationAccountAccessRole"
}

Example HTTP response

Response 201

{
    "failed": {
        "error_code": "Organization.AccountNotRemovable",
        "failed_caused": "Account b4d3f2h1j0l9n8p7r6t5v4x3z2y1w0 is not found",
        "response": {}
    },
    "success": {
        "success_id": "b4d3f2h1j0l9n8p7r6t5v4x3z2y1w0",
        "success_name": "score-account"
    }
}

1.4.3 - 1.0

post /v1/organization-accounts

Description

create a account

State ACTIVE (DEPRECATED)

Deprecated versions with Not Before dates that have arrived or expired are no longer supported. We recommend using the latest version.

VersionNot Before
1.020251231

Parameters

TypeNameDescriptionSchemaDefault
bodybody
required

OrganizationUserCreateRequest

Responses

HTTP CodeDescriptionSchema
201CreatedAccountCreateResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone

Example HTTP request

Request path

/v1/organization-accounts

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = organization 1.0"

Request body

{
    "login_id": "log-archive@samsung.com",
    "name": "score-account",
    "organization_id": "o-x9y8z7w6v5u4t3s2r1q0p9o8n7m6l5",
    "role_name": "OrganizationAccountAccessRole"
}

Example HTTP response

Response 201

{
    "failed": {
        "error_code": "Organization.AccountNotRemovable",
        "failed_caused": "Account b4d3f2h1j0l9n8p7r6t5v4x3z2y1w0 is not found",
        "response": {}
    },
    "success": {
        "success_id": "b4d3f2h1j0l9n8p7r6t5v4x3z2y1w0",
        "success_name": "score-account"
    }
}

1.5 - CreateDelegationPolicy

1.5.1 - 1.2

post /v1/delegation-policies

Description

create a delegation policy

State ACTIVE (CURRENT)

VersionNot Before
1.2-

Parameters

TypeNameDescriptionSchemaDefault
bodybody
required

DelegationPolicyCreateRequest

Responses

HTTP CodeDescriptionSchema
201CreatedDelegationPolicyShowResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/delegation-policies

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = organization 1.2"

Request body

{
    "document": {
        "Statement": [
            {
                "Action": [
                    "organization:CreateServiceControlPolicy",
                    "organization:DeleteServiceControlPolicies",
                    "organization:SetServiceControlPolicy",
                    "organization:ShowServiceControlPolicy",
                    "organization:ListServiceControlPolicies",
                    "organization:ShowAccount",
                    "organization:ListAccounts",
                    "organization:ListOrganizationUnits",
                    "organization:ListOrganizationInvitations",
                    "organization:ListParents",
                    "organization:ListPoliciesForTarget",
                    "organization:ListTargetsForPolicy",
                    "organization:AttachPolicyBindings",
                    "organization:RemovePolicyBindings",
                    "organization:ShowDelegatePolicy"
                ],
                "Effect": "Allow",
                "Principal": {
                    "scp": [
                        "srn:dev2::f045159f40c64125a1fe61bd71d1c14c:::iam:user/e3a6e3f99c1040639e9a3c8f8b7427df"
                    ]
                },
                "Resource": [
                    "*"
                ],
                "Sid": "statement1"
            }
        ],
        "Version": "2024-07-01"
    },
    "organization_id": "o-x9y8z7w6v5u4t3s2r1q0p9o8n7m6l5"
}

Example HTTP response

Response 201

{
    "policy": {
        "created_at": "2025-01-01T00:00:00.000Z",
        "created_by": "c23fb561c689455993874fa5d5ed4a2f",
        "document": {
            "Statement": [
                {
                    "Action": [
                        "organization:CreateServiceControlPolicy",
                        "organization:DeleteServiceControlPolicies",
                        "organization:SetServiceControlPolicy",
                        "organization:ShowServiceControlPolicy",
                        "organization:ListServiceControlPolicies",
                        "organization:ShowAccount",
                        "organization:ListAccounts",
                        "organization:ListOrganizationUnits",
                        "organization:ListOrganizationInvitations",
                        "organization:ListParents",
                        "organization:ListPoliciesForTarget",
                        "organization:ListTargetsForPolicy",
                        "organization:AttachPolicyBindings",
                        "organization:RemovePolicyBindings",
                        "organization:ShowDelegatePolicy"
                    ],
                    "Effect": "Allow",
                    "Principal": {
                        "scp": [
                            "srn:dev2::f045159f40c64125a1fe61bd71d1c14c:::iam:user/e3a6e3f99c1040639e9a3c8f8b7427df"
                        ]
                    },
                    "Resource": [
                        "*"
                    ],
                    "Sid": "statement1"
                }
            ],
            "Version": "2024-07-01"
        },
        "modified_at": "2025-01-01T00:00:00.000Z",
        "modified_by": "c23fb561c689455993874fa5d5ed4a2f",
        "organization_id": "o-x9y8z7w6v5u4t3s2r1q0p9o8n7m6l5"
    }
}

1.5.2 - 1.1

post /v1/delegation-policies

Description

create a delegation policy

State ACTIVE (DEPRECATED)

Deprecated versions with Not Before dates that have arrived or expired are no longer supported. We recommend using the latest version.

VersionNot Before
1.120260531

Parameters

TypeNameDescriptionSchemaDefault
bodybody
required

DelegationPolicyCreateRequest

Responses

HTTP CodeDescriptionSchema
201CreatedDelegationPolicyShowResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/delegation-policies

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = organization 1.1"

Request body

{
    "document": {
        "Statement": [
            {
                "Action": [
                    "organization:CreateServiceControlPolicy",
                    "organization:DeleteServiceControlPolicies",
                    "organization:SetServiceControlPolicy",
                    "organization:ShowServiceControlPolicy",
                    "organization:ListServiceControlPolicies",
                    "organization:ShowAccount",
                    "organization:ListAccounts",
                    "organization:ListOrganizationUnits",
                    "organization:ListOrganizationInvitations",
                    "organization:ListParents",
                    "organization:ListPoliciesForTarget",
                    "organization:ListTargetsForPolicy",
                    "organization:AttachPolicyBindings",
                    "organization:RemovePolicyBindings",
                    "organization:ShowDelegatePolicy"
                ],
                "Effect": "Allow",
                "Principal": {
                    "scp": [
                        "srn:dev2::f045159f40c64125a1fe61bd71d1c14c:::iam:user/e3a6e3f99c1040639e9a3c8f8b7427df"
                    ]
                },
                "Resource": [
                    "*"
                ],
                "Sid": "statement1"
            }
        ],
        "Version": "2024-07-01"
    },
    "organization_id": "o-x9y8z7w6v5u4t3s2r1q0p9o8n7m6l5"
}

Example HTTP response

Response 201

{
    "policy": {
        "created_at": "2025-01-01T00:00:00.000Z",
        "created_by": "c23fb561c689455993874fa5d5ed4a2f",
        "document": {
            "Statement": [
                {
                    "Action": [
                        "organization:CreateServiceControlPolicy",
                        "organization:DeleteServiceControlPolicies",
                        "organization:SetServiceControlPolicy",
                        "organization:ShowServiceControlPolicy",
                        "organization:ListServiceControlPolicies",
                        "organization:ShowAccount",
                        "organization:ListAccounts",
                        "organization:ListOrganizationUnits",
                        "organization:ListOrganizationInvitations",
                        "organization:ListParents",
                        "organization:ListPoliciesForTarget",
                        "organization:ListTargetsForPolicy",
                        "organization:AttachPolicyBindings",
                        "organization:RemovePolicyBindings",
                        "organization:ShowDelegatePolicy"
                    ],
                    "Effect": "Allow",
                    "Principal": {
                        "scp": [
                            "srn:dev2::f045159f40c64125a1fe61bd71d1c14c:::iam:user/e3a6e3f99c1040639e9a3c8f8b7427df"
                        ]
                    },
                    "Resource": [
                        "*"
                    ],
                    "Sid": "statement1"
                }
            ],
            "Version": "2024-07-01"
        },
        "modified_at": "2025-01-01T00:00:00.000Z",
        "modified_by": "c23fb561c689455993874fa5d5ed4a2f",
        "organization_id": "o-x9y8z7w6v5u4t3s2r1q0p9o8n7m6l5"
    }
}

1.5.3 - 1.0

post /v1/delegation-policies

Description

create a delegation policy

State ACTIVE (DEPRECATED)

Deprecated versions with Not Before dates that have arrived or expired are no longer supported. We recommend using the latest version.

VersionNot Before
1.020251231

Parameters

TypeNameDescriptionSchemaDefault
bodybody
required

DelegationPolicyCreateRequest

Responses

HTTP CodeDescriptionSchema
201CreatedDelegationPolicyShowResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/delegation-policies

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = organization 1.0"

Request body

{
    "document": {
        "Statement": [
            {
                "Action": [
                    "organization:CreateServiceControlPolicy",
                    "organization:DeleteServiceControlPolicies",
                    "organization:SetServiceControlPolicy",
                    "organization:ShowServiceControlPolicy",
                    "organization:ListServiceControlPolicies",
                    "organization:ShowAccount",
                    "organization:ListAccounts",
                    "organization:ListOrganizationUnits",
                    "organization:ListOrganizationInvitations",
                    "organization:ListParents",
                    "organization:ListPoliciesForTarget",
                    "organization:ListTargetsForPolicy",
                    "organization:AttachPolicyBindings",
                    "organization:RemovePolicyBindings",
                    "organization:ShowDelegatePolicy"
                ],
                "Effect": "Allow",
                "Principal": {
                    "scp": [
                        "srn:dev2::f045159f40c64125a1fe61bd71d1c14c:::iam:user/e3a6e3f99c1040639e9a3c8f8b7427df"
                    ]
                },
                "Resource": [
                    "*"
                ],
                "Sid": "statement1"
            }
        ],
        "Version": "2024-07-01"
    },
    "organization_id": "o-x9y8z7w6v5u4t3s2r1q0p9o8n7m6l5"
}

Example HTTP response

Response 201

{
    "policy": {
        "created_at": "2025-01-01T00:00:00.000Z",
        "created_by": "c23fb561c689455993874fa5d5ed4a2f",
        "document": {
            "Statement": [
                {
                    "Action": [
                        "organization:CreateServiceControlPolicy",
                        "organization:DeleteServiceControlPolicies",
                        "organization:SetServiceControlPolicy",
                        "organization:ShowServiceControlPolicy",
                        "organization:ListServiceControlPolicies",
                        "organization:ShowAccount",
                        "organization:ListAccounts",
                        "organization:ListOrganizationUnits",
                        "organization:ListOrganizationInvitations",
                        "organization:ListParents",
                        "organization:ListPoliciesForTarget",
                        "organization:ListTargetsForPolicy",
                        "organization:AttachPolicyBindings",
                        "organization:RemovePolicyBindings",
                        "organization:ShowDelegatePolicy"
                    ],
                    "Effect": "Allow",
                    "Principal": {
                        "scp": [
                            "srn:dev2::f045159f40c64125a1fe61bd71d1c14c:::iam:user/e3a6e3f99c1040639e9a3c8f8b7427df"
                        ]
                    },
                    "Resource": [
                        "*"
                    ],
                    "Sid": "statement1"
                }
            ],
            "Version": "2024-07-01"
        },
        "modified_at": "2025-01-01T00:00:00.000Z",
        "modified_by": "c23fb561c689455993874fa5d5ed4a2f",
        "organization_id": "o-x9y8z7w6v5u4t3s2r1q0p9o8n7m6l5"
    }
}

1.6 - CreateInvitation

1.6.1 - 1.2

post /v1/invitations

Description

create an invitation

State ACTIVE (CURRENT)

VersionNot Before
1.2-

Parameters

TypeNameDescriptionSchemaDefault
bodybody
required

InvitationCreateRequest

Responses

HTTP CodeDescriptionSchema
201CreatedInvitationCreateResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone

Example HTTP request

Request path

/v1/invitations

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = organization 1.2"

Request body

{
    "organization_id": "o-x9y8z7w6v5u4t3s2r1q0p9o8n7m6l5",
    "target_login_ids": [
        "score-1@samsung.com"
    ]
}

Example HTTP response

Response 201

{
    "failed_ids": [
        {
            "error_code": "Invitation.AlreadySentError",
            "failed_caused": "Account b4d3f2h1j0l9n8p7r6t5v4x3z2y1w0 is not found",
            "failed_id": [
                "score-1@samsung.com"
            ],
            "response": {}
        }
    ],
    "success_ids": [
        "log-archive@samsung.com"
    ]
}

1.6.2 - 1.1

post /v1/invitations

Description

create an invitation

State ACTIVE (DEPRECATED)

Deprecated versions with Not Before dates that have arrived or expired are no longer supported. We recommend using the latest version.

VersionNot Before
1.120260531

Parameters

TypeNameDescriptionSchemaDefault
bodybody
required

InvitationCreateRequest

Responses

HTTP CodeDescriptionSchema
201CreatedInvitationCreateResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone

Example HTTP request

Request path

/v1/invitations

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = organization 1.1"

Request body

{
    "organization_id": "o-x9y8z7w6v5u4t3s2r1q0p9o8n7m6l5",
    "target_login_ids": [
        "score-1@samsung.com"
    ]
}

Example HTTP response

Response 201

{
    "failed_ids": [
        {
            "error_code": "Invitation.AlreadySentError",
            "failed_caused": "Account b4d3f2h1j0l9n8p7r6t5v4x3z2y1w0 is not found",
            "failed_id": [
                "score-1@samsung.com"
            ],
            "response": {}
        }
    ],
    "success_ids": [
        "log-archive@samsung.com"
    ]
}

1.6.3 - 1.0

post /v1/invitations

Description

create an invitation

State ACTIVE (DEPRECATED)

Deprecated versions with Not Before dates that have arrived or expired are no longer supported. We recommend using the latest version.

VersionNot Before
1.020251231

Parameters

TypeNameDescriptionSchemaDefault
bodybody
required

InvitationCreateRequest

Responses

HTTP CodeDescriptionSchema
201CreatedInvitationCreateResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone

Example HTTP request

Request path

/v1/invitations

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = organization 1.0"

Request body

{
    "organization_id": "o-x9y8z7w6v5u4t3s2r1q0p9o8n7m6l5",
    "target_login_ids": [
        "score-1@samsung.com"
    ]
}

Example HTTP response

Response 201

{
    "failed_ids": [
        {
            "error_code": "Invitation.AlreadySentError",
            "failed_caused": "Account b4d3f2h1j0l9n8p7r6t5v4x3z2y1w0 is not found",
            "failed_id": [
                "score-1@samsung.com"
            ],
            "response": {}
        }
    ],
    "success_ids": [
        "log-archive@samsung.com"
    ]
}

1.7 - CreateOrganization

1.7.1 - 1.2

post /v1/organizations

Description

create a organization

State ACTIVE (CURRENT)

VersionNot Before
1.2-

Parameters

TypeNameDescriptionSchemaDefault
bodybody
required

OrganizationCreateRequest

Responses

HTTP CodeDescriptionSchema
201CreatedOrganizationShowResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone
404Not FoundNone
409ConflictNone

Example HTTP request

Request path

/v1/organizations

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = organization 1.2"

Request body

{
    "name": "My Organization"
}

Example HTTP response

Response 201

{
    "organization": {
        "created_at": "2025-01-01T00:00:00.000Z",
        "created_by": "c23fb561c689455993874fa5d5ed4a2f",
        "creator_name": "John Doe na",
        "delegation_account_id": "124e7d6c5b4a3z2y1x0w9v8u7t6s5r",
        "id": "o-x9y8z7w6v5u4t3s2r1q0p9o8n7m6l5",
        "master_account_email": "admin@example.com",
        "master_account_id": "9f8e7d6c5b4a3z2y1x0w9v8u7t6s5r",
        "modified_at": "2025-01-01T00:00:00.000Z",
        "modified_by": "c23fb561c689455993874fa5d5ed4a2f",
        "modifier_name": "Alice",
        "name": "My Organization",
        "root_unit_id": "r-abcd7d6c5b4a3z2y1x0w9v8u7t6s5r",
        "srn": "srn:dev2::1b8c29a138d78e24bf1fa86812fcaa:kr-west1::organizations/organization/o-x9y8z7w6v5u4t3s2r1q0p9o8n7m6l5",
        "use_scp_yn": true
    }
}

1.7.2 - 1.1

post /v1/organizations

Description

create a organization

State ACTIVE (DEPRECATED)

Deprecated versions with Not Before dates that have arrived or expired are no longer supported. We recommend using the latest version.

VersionNot Before
1.120260531

Parameters

TypeNameDescriptionSchemaDefault
bodybody
required

OrganizationCreateRequest

Responses

HTTP CodeDescriptionSchema
201CreatedOrganizationShowResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone
404Not FoundNone
409ConflictNone

Example HTTP request

Request path

/v1/organizations

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = organization 1.1"

Request body

{
    "name": "My Organization"
}

Example HTTP response

Response 201

{
    "organization": {
        "created_at": "2025-01-01T00:00:00.000Z",
        "created_by": "c23fb561c689455993874fa5d5ed4a2f",
        "creator_name": "John Doe na",
        "delegation_account_id": "124e7d6c5b4a3z2y1x0w9v8u7t6s5r",
        "id": "o-x9y8z7w6v5u4t3s2r1q0p9o8n7m6l5",
        "master_account_email": "admin@example.com",
        "master_account_id": "9f8e7d6c5b4a3z2y1x0w9v8u7t6s5r",
        "modified_at": "2025-01-01T00:00:00.000Z",
        "modified_by": "c23fb561c689455993874fa5d5ed4a2f",
        "modifier_name": "Alice",
        "name": "My Organization",
        "root_unit_id": "r-abcd7d6c5b4a3z2y1x0w9v8u7t6s5r",
        "srn": "srn:dev2::1b8c29a138d78e24bf1fa86812fcaa:kr-west1::organizations/organization/o-x9y8z7w6v5u4t3s2r1q0p9o8n7m6l5",
        "use_scp_yn": true
    }
}

1.7.3 - 1.0

post /v1/organizations

Description

create a organization

State ACTIVE (DEPRECATED)

Deprecated versions with Not Before dates that have arrived or expired are no longer supported. We recommend using the latest version.

VersionNot Before
1.020251231

Parameters

TypeNameDescriptionSchemaDefault
bodybody
required

OrganizationCreateRequest

Responses

HTTP CodeDescriptionSchema
201CreatedOrganizationShowResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone
404Not FoundNone
409ConflictNone

Example HTTP request

Request path

/v1/organizations

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = organization 1.0"

Request body

{
    "name": "My Organization"
}

Example HTTP response

Response 201

{
    "organization": {
        "created_at": "2025-01-01T00:00:00.000Z",
        "created_by": "c23fb561c689455993874fa5d5ed4a2f",
        "creator_name": "John Doe na",
        "delegation_account_id": "124e7d6c5b4a3z2y1x0w9v8u7t6s5r",
        "id": "o-x9y8z7w6v5u4t3s2r1q0p9o8n7m6l5",
        "master_account_email": "admin@example.com",
        "master_account_id": "9f8e7d6c5b4a3z2y1x0w9v8u7t6s5r",
        "modified_at": "2025-01-01T00:00:00.000Z",
        "modified_by": "c23fb561c689455993874fa5d5ed4a2f",
        "modifier_name": "Alice",
        "name": "My Organization",
        "root_unit_id": "r-abcd7d6c5b4a3z2y1x0w9v8u7t6s5r",
        "srn": "srn:dev2::1b8c29a138d78e24bf1fa86812fcaa:kr-west1::organizations/organization/o-x9y8z7w6v5u4t3s2r1q0p9o8n7m6l5",
        "use_scp_yn": true
    }
}

1.8 - CreateOrganizationUnit

1.8.1 - 1.2

post /v1/organization-units

Description

create an organization unit

State ACTIVE (CURRENT)

VersionNot Before
1.2-

Parameters

TypeNameDescriptionSchemaDefault
bodybody
required

OrganizationUnitCreateRequest

Responses

HTTP CodeDescriptionSchema
201CreatedOrganizationUnitCreateResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/organization-units

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = organization 1.2"

Request body

{
    "description": "Score Organization Unit",
    "name": "score-organization-unit",
    "organization_id": "o-x9y8z7w6v5u4t3s2r1q0p9o8n7m6l5",
    "parent_unit_id": "ou-fc8c29a138d78e24bf1fa86812fc8b",
    "policy_ids": [
        "f98e76d54c32b10a9z8y7x6w5v4u3"
    ]
}

Example HTTP response

Response 201

{
    "organization_unit": {
        "control_policies": [
            {
                "policy_id": "f98e76d54c32b10a9z8y7x6w5v4u3",
                "policy_name": "test-policy-name"
            }
        ],
        "created_at": "2025-01-01T00:00:00.000Z",
        "created_by": "c23fb561c689455993874fa5d5ed4a2f",
        "creator_name": "John Doe na",
        "depth": 1,
        "description": "Score Organization Unit",
        "id": "ou-c29a138f8f1d78e24dbfa8681fc2fc8",
        "modified_at": "2025-01-01T00:00:00.000Z",
        "modified_by": "c23fb561c689455993874fa5d5ed4a2f",
        "modifier_name": "Alice",
        "name": "score-organization-unit",
        "parent_unit_id": "ou-fc8c29a138d78e24bf1fa86812fc8b",
        "service_name": "Organization",
        "srn": "srn:dev2::1b8c29a138d78e24bf1fa86812fcaa:kr-west1::organizations/ou/ou-c29a138f8f1d78e24dbfa8681fc2fc8",
        "type": "OU"
    }
}

1.8.2 - 1.1

post /v1/organization-units

Description

create an organization unit

State ACTIVE (DEPRECATED)

Deprecated versions with Not Before dates that have arrived or expired are no longer supported. We recommend using the latest version.

VersionNot Before
1.120260531

Parameters

TypeNameDescriptionSchemaDefault
bodybody
required

OrganizationUnitCreateRequest

Responses

HTTP CodeDescriptionSchema
201CreatedOrganizationUnitCreateResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/organization-units

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = organization 1.1"

Request body

{
    "description": "Score Organization Unit",
    "name": "score-organization-unit",
    "organization_id": "o-x9y8z7w6v5u4t3s2r1q0p9o8n7m6l5",
    "parent_unit_id": "ou-fc8c29a138d78e24bf1fa86812fc8b",
    "policy_ids": [
        "f98e76d54c32b10a9z8y7x6w5v4u3"
    ]
}

Example HTTP response

Response 201

{
    "organization_unit": {
        "control_policies": [
            {
                "policy_id": "f98e76d54c32b10a9z8y7x6w5v4u3",
                "policy_name": "test-policy-name"
            }
        ],
        "created_at": "2025-01-01T00:00:00.000Z",
        "created_by": "c23fb561c689455993874fa5d5ed4a2f",
        "creator_name": "John Doe na",
        "depth": 1,
        "description": "Score Organization Unit",
        "id": "ou-c29a138f8f1d78e24dbfa8681fc2fc8",
        "modified_at": "2025-01-01T00:00:00.000Z",
        "modified_by": "c23fb561c689455993874fa5d5ed4a2f",
        "modifier_name": "Alice",
        "name": "score-organization-unit",
        "parent_unit_id": "ou-fc8c29a138d78e24bf1fa86812fc8b",
        "service_name": "Organization",
        "srn": "srn:dev2::1b8c29a138d78e24bf1fa86812fcaa:kr-west1::organizations/ou/ou-c29a138f8f1d78e24dbfa8681fc2fc8",
        "type": "OU"
    }
}

1.8.3 - 1.0

post /v1/organization-units

Description

create an organization unit

State ACTIVE (DEPRECATED)

Deprecated versions with Not Before dates that have arrived or expired are no longer supported. We recommend using the latest version.

VersionNot Before
1.020251231

Parameters

TypeNameDescriptionSchemaDefault
bodybody
required

OrganizationUnitCreateRequest

Responses

HTTP CodeDescriptionSchema
201CreatedOrganizationUnitCreateResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/organization-units

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = organization 1.0"

Request body

{
    "description": "Score Organization Unit",
    "name": "score-organization-unit",
    "organization_id": "o-x9y8z7w6v5u4t3s2r1q0p9o8n7m6l5",
    "parent_unit_id": "ou-fc8c29a138d78e24bf1fa86812fc8b",
    "policy_ids": [
        "f98e76d54c32b10a9z8y7x6w5v4u3"
    ]
}

Example HTTP response

Response 201

{
    "organization_unit": {
        "control_policies": [
            {
                "policy_id": "f98e76d54c32b10a9z8y7x6w5v4u3",
                "policy_name": "test-policy-name"
            }
        ],
        "created_at": "2025-01-01T00:00:00.000Z",
        "created_by": "c23fb561c689455993874fa5d5ed4a2f",
        "creator_name": "John Doe na",
        "depth": 1,
        "description": "Score Organization Unit",
        "id": "ou-c29a138f8f1d78e24dbfa8681fc2fc8",
        "modified_at": "2025-01-01T00:00:00.000Z",
        "modified_by": "c23fb561c689455993874fa5d5ed4a2f",
        "modifier_name": "Alice",
        "name": "score-organization-unit",
        "parent_unit_id": "ou-fc8c29a138d78e24bf1fa86812fc8b",
        "service_name": "Organization",
        "srn": "srn:dev2::1b8c29a138d78e24bf1fa86812fcaa:kr-west1::organizations/ou/ou-c29a138f8f1d78e24dbfa8681fc2fc8",
        "type": "OU"
    }
}

1.9 - CreateServiceControlPolicy

1.9.1 - 1.2

post /v1/service-control-policies

Description

create a service control policy

State ACTIVE (CURRENT)

VersionNot Before
1.2-

Parameters

TypeNameDescriptionSchemaDefault
bodybody
required

ServiceControlPolicyCreateRequest

Responses

HTTP CodeDescriptionSchema
201CreatedServiceControlPolicyShowResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/service-control-policies

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = organization 1.2"

Request body

{
    "description": "This is an example policy.",
    "document": {
        "Statement": [
            {
                "Action": [
                    "*"
                ],
                "Effect": "Allow",
                "Resource": [
                    "*"
                ],
                "Sid": "statement1"
            }
        ],
        "Version": "2024-07-01"
    },
    "name": "MyPolicy",
    "organization_id": "o-x9y8z7w6v5u4t3s2r1q0p9o8n7m6l5",
    "type": "MANAGED"
}

Example HTTP response

Response 201

{
    "policy": {
        "category": "SCP",
        "created_at": "2025-01-01T00:00:00.000Z",
        "created_by": "c23fb561c689455993874fa5d5ed4a2f",
        "creator_name": "John Doe na",
        "description": "This is an example policy.",
        "document": {
            "Statement": [
                {
                    "Action": [
                        "*"
                    ],
                    "Effect": "Allow",
                    "Resource": [
                        "*"
                    ],
                    "Sid": "statement1"
                }
            ],
            "Version": "2024-07-01"
        },
        "id": "138c2fc8c29a449dbfa8681f8f1d78e2",
        "modified_at": "2025-01-01T00:00:00.000Z",
        "modified_by": "c23fb561c689455993874fa5d5ed4a2f",
        "modifier_name": "Alice",
        "name": "MyPolicy",
        "organization_id": "o-x9y8z7w6v5u4t3s2r1q0p9o8n7m6l5",
        "service_name": "Organization",
        "source": "ORGANIZATION",
        "srn": "srn:dev2::1b8c29a138d78e24bf1fa86812fcaa:kr-west1::organizations/service-control-policy/138c2fc8c29a449dbfa8681f8f1d78e2",
        "state": "ACTIVE",
        "type": "MANAGED"
    }
}

1.9.2 - 1.1

post /v1/service-control-policies

Description

create a service control policy

State ACTIVE (DEPRECATED)

Deprecated versions with Not Before dates that have arrived or expired are no longer supported. We recommend using the latest version.

VersionNot Before
1.120260531

Parameters

TypeNameDescriptionSchemaDefault
bodybody
required

ServiceControlPolicyCreateRequest

Responses

HTTP CodeDescriptionSchema
201CreatedServiceControlPolicyShowResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/service-control-policies

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = organization 1.1"

Request body

{
    "description": "This is an example policy.",
    "document": {
        "Statement": [
            {
                "Action": [
                    "*"
                ],
                "Effect": "Allow",
                "Resource": [
                    "*"
                ],
                "Sid": "statement1"
            }
        ],
        "Version": "2024-07-01"
    },
    "name": "MyPolicy",
    "organization_id": "o-x9y8z7w6v5u4t3s2r1q0p9o8n7m6l5",
    "type": "MANAGED"
}

Example HTTP response

Response 201

{
    "policy": {
        "category": "SCP",
        "created_at": "2025-01-01T00:00:00.000Z",
        "created_by": "c23fb561c689455993874fa5d5ed4a2f",
        "creator_name": "John Doe na",
        "description": "This is an example policy.",
        "document": {
            "Statement": [
                {
                    "Action": [
                        "*"
                    ],
                    "Effect": "Allow",
                    "Resource": [
                        "*"
                    ],
                    "Sid": "statement1"
                }
            ],
            "Version": "2024-07-01"
        },
        "id": "138c2fc8c29a449dbfa8681f8f1d78e2",
        "modified_at": "2025-01-01T00:00:00.000Z",
        "modified_by": "c23fb561c689455993874fa5d5ed4a2f",
        "modifier_name": "Alice",
        "name": "MyPolicy",
        "organization_id": "o-x9y8z7w6v5u4t3s2r1q0p9o8n7m6l5",
        "service_name": "Organization",
        "source": "ORGANIZATION",
        "srn": "srn:dev2::1b8c29a138d78e24bf1fa86812fcaa:kr-west1::organizations/service-control-policy/138c2fc8c29a449dbfa8681f8f1d78e2",
        "state": "ACTIVE",
        "type": "MANAGED"
    }
}

1.9.3 - 1.0

post /v1/service-control-policies

Description

create a service control policy

State ACTIVE (DEPRECATED)

Deprecated versions with Not Before dates that have arrived or expired are no longer supported. We recommend using the latest version.

VersionNot Before
1.020251231

Parameters

TypeNameDescriptionSchemaDefault
bodybody
required

ServiceControlPolicyCreateRequest

Responses

HTTP CodeDescriptionSchema
201CreatedServiceControlPolicyShowResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/service-control-policies

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = organization 1.0"

Request body

{
    "description": "This is an example policy.",
    "document": {
        "Statement": [
            {
                "Action": [
                    "*"
                ],
                "Effect": "Allow",
                "Resource": [
                    "*"
                ],
                "Sid": "statement1"
            }
        ],
        "Version": "2024-07-01"
    },
    "name": "MyPolicy",
    "organization_id": "o-x9y8z7w6v5u4t3s2r1q0p9o8n7m6l5",
    "type": "MANAGED"
}

Example HTTP response

Response 201

{
    "policy": {
        "category": "SCP",
        "created_at": "2025-01-01T00:00:00.000Z",
        "created_by": "c23fb561c689455993874fa5d5ed4a2f",
        "creator_name": "John Doe na",
        "description": "This is an example policy.",
        "document": {
            "Statement": [
                {
                    "Action": [
                        "*"
                    ],
                    "Effect": "Allow",
                    "Resource": [
                        "*"
                    ],
                    "Sid": "statement1"
                }
            ],
            "Version": "2024-07-01"
        },
        "id": "138c2fc8c29a449dbfa8681f8f1d78e2",
        "modified_at": "2025-01-01T00:00:00.000Z",
        "modified_by": "c23fb561c689455993874fa5d5ed4a2f",
        "modifier_name": "Alice",
        "name": "MyPolicy",
        "organization_id": "o-x9y8z7w6v5u4t3s2r1q0p9o8n7m6l5",
        "service_name": "Organization",
        "source": "ORGANIZATION",
        "srn": "srn:dev2::1b8c29a138d78e24bf1fa86812fcaa:kr-west1::organizations/service-control-policy/138c2fc8c29a449dbfa8681f8f1d78e2",
        "state": "ACTIVE",
        "type": "MANAGED"
    }
}

1.10 - DeclineInvitation

1.10.1 - 1.2

put /v1/invitations/{invitation_id}/decline

Description

decline a specific invitation

State ACTIVE (CURRENT)

VersionNot Before
1.2-

Parameters

TypeNameDescriptionSchemaDefault
pathinvitation_id
required
Invitation ID
Example : 138c2fc8c29a449dbfa8681f8f1d78e2
stringNone

Responses

HTTP CodeDescriptionSchema
200OKInvitationShowResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/invitations/{invitation_id}/decline

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = organization 1.2"

Example HTTP response

Response 200

{
    "invitation": {
        "created_at": "2025-01-01T00:00:00.000Z",
        "created_by": "c23fb561c689455993874fa5d5ed4a2f",
        "expired_time": "2024-04-30T12:34:56.789Z",
        "id": "138c2fc8c29a449dbfa8681f8f1d78e2",
        "master_account_id": "9f8e7d6c5b4a3z2y1x0w9v8u7t6s5r",
        "modified_at": "2025-01-01T00:00:00.000Z",
        "modified_by": "c23fb561c689455993874fa5d5ed4a2f",
        "organization_id": "o-x9y8z7w6v5u4t3s2r1q0p9o8n7m6l5",
        "requested_time": "2024-04-17T12:34:56.789Z",
        "state": "REFUSED",
        "target_account_id": "338c2fc8c29a449dbfa8681f8f1d78e5"
    }
}

1.10.2 - 1.1

put /v1/invitations/{invitation_id}/decline

Description

decline a specific invitation

State ACTIVE (DEPRECATED)

Deprecated versions with Not Before dates that have arrived or expired are no longer supported. We recommend using the latest version.

VersionNot Before
1.120260531

Parameters

TypeNameDescriptionSchemaDefault
pathinvitation_id
required
Invitation ID
Example : 138c2fc8c29a449dbfa8681f8f1d78e2
stringNone

Responses

HTTP CodeDescriptionSchema
200OKInvitationShowResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/invitations/{invitation_id}/decline

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = organization 1.1"

Example HTTP response

Response 200

{
    "invitation": {
        "created_at": "2025-01-01T00:00:00.000Z",
        "created_by": "c23fb561c689455993874fa5d5ed4a2f",
        "expired_time": "2024-04-30T12:34:56.789Z",
        "id": "138c2fc8c29a449dbfa8681f8f1d78e2",
        "master_account_id": "9f8e7d6c5b4a3z2y1x0w9v8u7t6s5r",
        "modified_at": "2025-01-01T00:00:00.000Z",
        "modified_by": "c23fb561c689455993874fa5d5ed4a2f",
        "organization_id": "o-x9y8z7w6v5u4t3s2r1q0p9o8n7m6l5",
        "requested_time": "2024-04-17T12:34:56.789Z",
        "state": "REFUSED",
        "target_account_id": "338c2fc8c29a449dbfa8681f8f1d78e5"
    }
}

1.10.3 - 1.0

put /v1/invitations/{invitation_id}/decline

Description

decline a specific invitation

State ACTIVE (DEPRECATED)

Deprecated versions with Not Before dates that have arrived or expired are no longer supported. We recommend using the latest version.

VersionNot Before
1.020251231

Parameters

TypeNameDescriptionSchemaDefault
pathinvitation_id
required
Invitation ID
Example : 138c2fc8c29a449dbfa8681f8f1d78e2
stringNone

Responses

HTTP CodeDescriptionSchema
200OKInvitationShowResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/invitations/{invitation_id}/decline

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = organization 1.0"

Example HTTP response

Response 200

{
    "invitation": {
        "created_at": "2025-01-01T00:00:00.000Z",
        "created_by": "c23fb561c689455993874fa5d5ed4a2f",
        "expired_time": "2024-04-30T12:34:56.789Z",
        "id": "138c2fc8c29a449dbfa8681f8f1d78e2",
        "master_account_id": "9f8e7d6c5b4a3z2y1x0w9v8u7t6s5r",
        "modified_at": "2025-01-01T00:00:00.000Z",
        "modified_by": "c23fb561c689455993874fa5d5ed4a2f",
        "organization_id": "o-x9y8z7w6v5u4t3s2r1q0p9o8n7m6l5",
        "requested_time": "2024-04-17T12:34:56.789Z",
        "state": "REFUSED",
        "target_account_id": "338c2fc8c29a449dbfa8681f8f1d78e5"
    }
}

1.11 - DeleteAccount

1.11.1 - 1.2

delete /v1/organization-accounts/{account_id}

Description

Delete a specific account

State ACTIVE (CURRENT)

VersionNot Before
1.2-

Parameters

TypeNameDescriptionSchemaDefault
pathaccount_id
required
Organization Account ID
Example : b4d3f2h1j0l9n8p7r6t5v4x3z2y1w0
stringNone
queryorganization_id
optional
Organization ID
Example : o-x9y8z7w6v5u4t3s2r1q0p9o8n7m6l5
any of [string, null]None

Responses

HTTP CodeDescriptionSchema
204No ContentNone
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/organization-accounts/{account_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = organization 1.2"

Example HTTP response

Response 204

1.12 - DeleteDelegationPolicy

1.12.1 - 1.2

delete /v1/delegation-policies

Description

delete a specific delegation policy

State ACTIVE (CURRENT)

VersionNot Before
1.2-

Parameters

TypeNameDescriptionSchemaDefault
queryorganization_id
optional
Organization ID
Example : o-x9y8z7w6v5u4t3s2r1q0p9o8n7m6l5
any of [string, null]None

Responses

HTTP CodeDescriptionSchema
204No ContentNone
401UnauthorizedNone
403ForbiddenNone

Example HTTP request

Request path

/v1/delegation-policies

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = organization 1.2"

Example HTTP response

Response 204

1.12.2 - 1.1

delete /v1/delegation-policies

Description

delete a specific delegation policy

State ACTIVE (DEPRECATED)

Deprecated versions with Not Before dates that have arrived or expired are no longer supported. We recommend using the latest version.

VersionNot Before
1.120260531

Parameters

TypeNameDescriptionSchemaDefault
queryorganization_id
optional
Organization ID
Example : o-x9y8z7w6v5u4t3s2r1q0p9o8n7m6l5
any of [string, null]None

Responses

HTTP CodeDescriptionSchema
204No ContentNone
401UnauthorizedNone
403ForbiddenNone

Example HTTP request

Request path

/v1/delegation-policies

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = organization 1.1"

Example HTTP response

Response 204

1.12.3 - 1.0

delete /v1/delegation-policies

Description

delete a specific delegation policy

State ACTIVE (DEPRECATED)

Deprecated versions with Not Before dates that have arrived or expired are no longer supported. We recommend using the latest version.

VersionNot Before
1.020251231

Parameters

TypeNameDescriptionSchemaDefault
queryorganization_id
optional
Organization ID
Example : o-x9y8z7w6v5u4t3s2r1q0p9o8n7m6l5
any of [string, null]None

Responses

HTTP CodeDescriptionSchema
204No ContentNone
401UnauthorizedNone
403ForbiddenNone

Example HTTP request

Request path

/v1/delegation-policies

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = organization 1.0"

Example HTTP response

Response 204

1.13 - DeleteOrganization

1.13.1 - 1.2

delete /v1/organizations/{organization_id}

Description

delete a specific organization

State ACTIVE (CURRENT)

VersionNot Before
1.2-

Parameters

TypeNameDescriptionSchemaDefault
pathorganization_id
required
Organization ID
Example : o-x9y8z7w6v5u4t3s2r1q0p9o8n7m6l5
stringNone

Responses

HTTP CodeDescriptionSchema
200OKOrganizationDeleteResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone

Example HTTP request

Request path

/v1/organizations/{organization_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = organization 1.2"

Example HTTP response

Response 200

{
    "failed": {
        "error_code": "Organization.delete.MemberAccountIsExist",
        "failed_caused": "Payment method registration required.",
        "failed_id": "o-x9y8z7w6v5u4t3s2r1q0p9o8n7m6l5",
        "response": {}
    },
    "success": "My Organization"
}

1.13.2 - 1.1

delete /v1/organizations/{organization_id}

Description

delete a specific organization

State ACTIVE (DEPRECATED)

Deprecated versions with Not Before dates that have arrived or expired are no longer supported. We recommend using the latest version.

VersionNot Before
1.120260531

Parameters

TypeNameDescriptionSchemaDefault
pathorganization_id
required
Organization ID
Example : o-x9y8z7w6v5u4t3s2r1q0p9o8n7m6l5
stringNone

Responses

HTTP CodeDescriptionSchema
200OKOrganizationDeleteResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone

Example HTTP request

Request path

/v1/organizations/{organization_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = organization 1.1"

Example HTTP response

Response 200

{
    "failed": {
        "error_code": "Organization.delete.MemberAccountIsExist",
        "failed_caused": "Payment method registration required.",
        "failed_id": "o-x9y8z7w6v5u4t3s2r1q0p9o8n7m6l5",
        "response": {}
    },
    "success": "My Organization"
}

1.13.3 - 1.0

delete /v1/organizations/{organization_id}

Description

delete a specific organization

State ACTIVE (DEPRECATED)

Deprecated versions with Not Before dates that have arrived or expired are no longer supported. We recommend using the latest version.

VersionNot Before
1.020251231

Parameters

TypeNameDescriptionSchemaDefault
pathorganization_id
required
Organization ID
Example : o-x9y8z7w6v5u4t3s2r1q0p9o8n7m6l5
stringNone

Responses

HTTP CodeDescriptionSchema
200OKOrganizationDeleteResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone

Example HTTP request

Request path

/v1/organizations/{organization_id}

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = organization 1.0"

Example HTTP response

Response 200

{
    "failed": {
        "error_code": "Organization.delete.MemberAccountIsExist",
        "failed_caused": "Payment method registration required.",
        "failed_id": "o-x9y8z7w6v5u4t3s2r1q0p9o8n7m6l5",
        "response": {}
    },
    "success": "My Organization"
}

1.14 - DeleteOrganizationUnits

1.14.1 - 1.2

delete /v1/organization-units

Description

delete organization units

State ACTIVE (CURRENT)

VersionNot Before
1.2-

Parameters

TypeNameDescriptionSchemaDefault
bodybody
required

OrganizationUnitDeleteRequest

Responses

HTTP CodeDescriptionSchema
200OKOrganizationUnitDeleteResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone

Example HTTP request

Request path

/v1/organization-units

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = organization 1.2"

Request body

{
    "ids": [
        "ou-c29a138f8f1d78e24dbfa8681fc2fc8"
    ],
    "organization_id": "o-x9y8z7w6v5u4t3s2r1q0p9o8n7m6l5"
}

Example HTTP response

Response 200

{
    "failed_ids": [
        {
            "error_code": "Organization.UnitNotRemovable",
            "failed_caused": "Account b4d3f2h1j0l9n8p7r6t5v4x3z2y1w0 is not found",
            "failed_id": "ou-abc1f2h1j0l9n8p7r6t5v4x3z2y1w0",
            "response": {}
        }
    ],
    "success_ids": [
        "ou-c29a138f8f1d78e24dbfa8681fc2fc8"
    ]
}

1.14.2 - 1.1

delete /v1/organization-units

Description

delete organization units

State ACTIVE (DEPRECATED)

Deprecated versions with Not Before dates that have arrived or expired are no longer supported. We recommend using the latest version.

VersionNot Before
1.120260531

Parameters

TypeNameDescriptionSchemaDefault
bodybody
required

OrganizationUnitDeleteRequest

Responses

HTTP CodeDescriptionSchema
200OKOrganizationUnitDeleteResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone

Example HTTP request

Request path

/v1/organization-units

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = organization 1.1"

Request body

{
    "ids": [
        "ou-c29a138f8f1d78e24dbfa8681fc2fc8"
    ],
    "organization_id": "o-x9y8z7w6v5u4t3s2r1q0p9o8n7m6l5"
}

Example HTTP response

Response 200

{
    "failed_ids": [
        {
            "error_code": "Organization.UnitNotRemovable",
            "failed_caused": "Account b4d3f2h1j0l9n8p7r6t5v4x3z2y1w0 is not found",
            "failed_id": "ou-abc1f2h1j0l9n8p7r6t5v4x3z2y1w0",
            "response": {}
        }
    ],
    "success_ids": [
        "ou-c29a138f8f1d78e24dbfa8681fc2fc8"
    ]
}

1.14.3 - 1.0

delete /v1/organization-units

Description

delete organization units

State ACTIVE (DEPRECATED)

Deprecated versions with Not Before dates that have arrived or expired are no longer supported. We recommend using the latest version.

VersionNot Before
1.020251231

Parameters

TypeNameDescriptionSchemaDefault
bodybody
required

OrganizationUnitDeleteRequest

Responses

HTTP CodeDescriptionSchema
200OKOrganizationUnitDeleteResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone

Example HTTP request

Request path

/v1/organization-units

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = organization 1.0"

Request body

{
    "ids": [
        "ou-c29a138f8f1d78e24dbfa8681fc2fc8"
    ],
    "organization_id": "o-x9y8z7w6v5u4t3s2r1q0p9o8n7m6l5"
}

Example HTTP response

Response 200

{
    "failed_ids": [
        {
            "error_code": "Organization.UnitNotRemovable",
            "failed_caused": "Account b4d3f2h1j0l9n8p7r6t5v4x3z2y1w0 is not found",
            "failed_id": "ou-abc1f2h1j0l9n8p7r6t5v4x3z2y1w0",
            "response": {}
        }
    ],
    "success_ids": [
        "ou-c29a138f8f1d78e24dbfa8681fc2fc8"
    ]
}

1.15 - DeleteServiceControlPolicies

1.15.1 - 1.2

delete /v1/service-control-policies

Description

delete service control policies

State ACTIVE (CURRENT)

VersionNot Before
1.2-

Parameters

TypeNameDescriptionSchemaDefault
bodybody
required

ServiceControlPolicyDeleteRequest

Responses

HTTP CodeDescriptionSchema
200OKServiceControlPolicyDeleteResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone

Example HTTP request

Request path

/v1/service-control-policies

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = organization 1.2"

Request body

{
    "ids": [
        "138c2fc8c29a449dbfa8681f8f1d78e2"
    ],
    "organization_id": "o-x9y8z7w6v5u4t3s2r1q0p9o8n7m6l5"
}

Example HTTP response

Response 200

{
    "failed_ids": [
        {
            "binding_targets": [
                {
                    "id": "ou-c29a138f8f1d78e24dbfa8681fc2fc8 or b4d3f2h1j0l9n8p7r6t5v4x3z2y1w0",
                    "name": "score-organization-unit or score-account",
                    "type": "OU"
                }
            ],
            "error_code": "Policy.PolicyInUseError",
            "failed_caused": "The specified policy is in use and cannot be deleted.",
            "failed_id": "138c2fc8c29a449dbfa8681f8f1d78e2",
            "response": {}
        }
    ],
    "success_ids": [
        ""
    ]
}

1.15.2 - 1.1

delete /v1/service-control-policies

Description

delete service control policies

State ACTIVE (DEPRECATED)

Deprecated versions with Not Before dates that have arrived or expired are no longer supported. We recommend using the latest version.

VersionNot Before
1.120260531

Parameters

TypeNameDescriptionSchemaDefault
bodybody
required

ServiceControlPolicyDeleteRequest

Responses

HTTP CodeDescriptionSchema
200OKServiceControlPolicyDeleteResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone

Example HTTP request

Request path

/v1/service-control-policies

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = organization 1.1"

Request body

{
    "ids": [
        "138c2fc8c29a449dbfa8681f8f1d78e2"
    ],
    "organization_id": "o-x9y8z7w6v5u4t3s2r1q0p9o8n7m6l5"
}

Example HTTP response

Response 200

{
    "failed_ids": [
        {
            "binding_targets": [
                {
                    "id": "ou-c29a138f8f1d78e24dbfa8681fc2fc8 or b4d3f2h1j0l9n8p7r6t5v4x3z2y1w0",
                    "name": "score-organization-unit or score-account",
                    "type": "OU"
                }
            ],
            "error_code": "Policy.PolicyInUseError",
            "failed_caused": "The specified policy is in use and cannot be deleted.",
            "failed_id": "138c2fc8c29a449dbfa8681f8f1d78e2",
            "response": {}
        }
    ],
    "success_ids": [
        ""
    ]
}

1.15.3 - 1.0

delete /v1/service-control-policies

Description

delete service control policies

State ACTIVE (DEPRECATED)

Deprecated versions with Not Before dates that have arrived or expired are no longer supported. We recommend using the latest version.

VersionNot Before
1.020251231

Parameters

TypeNameDescriptionSchemaDefault
bodybody
required

ServiceControlPolicyDeleteRequest

Responses

HTTP CodeDescriptionSchema
200OKServiceControlPolicyDeleteResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone

Example HTTP request

Request path

/v1/service-control-policies

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = organization 1.0"

Request body

{
    "ids": [
        "138c2fc8c29a449dbfa8681f8f1d78e2"
    ],
    "organization_id": "o-x9y8z7w6v5u4t3s2r1q0p9o8n7m6l5"
}

Example HTTP response

Response 200

{
    "failed_ids": [
        {
            "binding_targets": [
                {
                    "id": "ou-c29a138f8f1d78e24dbfa8681fc2fc8 or b4d3f2h1j0l9n8p7r6t5v4x3z2y1w0",
                    "name": "score-organization-unit or score-account",
                    "type": "OU"
                }
            ],
            "error_code": "Policy.PolicyInUseError",
            "failed_caused": "The specified policy is in use and cannot be deleted.",
            "failed_id": "138c2fc8c29a449dbfa8681f8f1d78e2",
            "response": {}
        }
    ],
    "success_ids": [
        ""
    ]
}

1.16 - LeaveOrganization

1.16.1 - 1.2

delete /v1/organizations/{organization_id}/membership

Description

leave a specific organization

State ACTIVE (CURRENT)

VersionNot Before
1.2-

Parameters

TypeNameDescriptionSchemaDefault
pathorganization_id
required
Organization ID
Example : o-x9y8z7w6v5u4t3s2r1q0p9o8n7m6l5
stringNone

Responses

HTTP CodeDescriptionSchema
200OKOrganizationLeaveResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone

Example HTTP request

Request path

/v1/organizations/{organization_id}/membership

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = organization 1.2"

Example HTTP response

Response 200

{
    "failed": {
        "error_code": "Organization.AccountNotRemovable",
        "failed_caused": "Payment method registration required.",
        "failed_id": "b4d3f2h1j0l9n8p7r6t5v4x3z2y1w0",
        "failed_name": "My Organization",
        "response": {}
    },
    "success": {
        "success_id": "o-x9y8z7w6v5u4t3s2r1q0p9o8n7m6l5",
        "success_name": "My Organization"
    }
}

1.16.2 - 1.1

delete /v1/organizations/{organization_id}/membership

Description

leave a specific organization

State ACTIVE (DEPRECATED)

Deprecated versions with Not Before dates that have arrived or expired are no longer supported. We recommend using the latest version.

VersionNot Before
1.120260531

Parameters

TypeNameDescriptionSchemaDefault
pathorganization_id
required
Organization ID
Example : o-x9y8z7w6v5u4t3s2r1q0p9o8n7m6l5
stringNone

Responses

HTTP CodeDescriptionSchema
200OKOrganizationLeaveResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone

Example HTTP request

Request path

/v1/organizations/{organization_id}/membership

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = organization 1.1"

Example HTTP response

Response 200

{
    "failed": {
        "error_code": "Organization.AccountNotRemovable",
        "failed_caused": "Payment method registration required.",
        "failed_id": "b4d3f2h1j0l9n8p7r6t5v4x3z2y1w0",
        "failed_name": "My Organization",
        "response": {}
    },
    "success": {
        "success_id": "o-x9y8z7w6v5u4t3s2r1q0p9o8n7m6l5",
        "success_name": "My Organization"
    }
}

1.16.3 - 1.0

delete /v1/organizations/{organization_id}/membership

Description

leave a specific organization

State ACTIVE (DEPRECATED)

Deprecated versions with Not Before dates that have arrived or expired are no longer supported. We recommend using the latest version.

VersionNot Before
1.020251231

Parameters

TypeNameDescriptionSchemaDefault
pathorganization_id
required
Organization ID
Example : o-x9y8z7w6v5u4t3s2r1q0p9o8n7m6l5
stringNone

Responses

HTTP CodeDescriptionSchema
200OKOrganizationLeaveResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone

Example HTTP request

Request path

/v1/organizations/{organization_id}/membership

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = organization 1.0"

Example HTTP response

Response 200

{
    "failed": {
        "error_code": "Organization.AccountNotRemovable",
        "failed_caused": "Payment method registration required.",
        "failed_id": "b4d3f2h1j0l9n8p7r6t5v4x3z2y1w0",
        "failed_name": "My Organization",
        "response": {}
    },
    "success": {
        "success_id": "o-x9y8z7w6v5u4t3s2r1q0p9o8n7m6l5",
        "success_name": "My Organization"
    }
}

1.17 - ListAccountInvitations

1.17.1 - 1.2

get /v1/account-invitations

Description

get account invitation list

State ACTIVE (CURRENT)

VersionNot Before
1.2-

Responses

HTTP CodeDescriptionSchema
200OKAccountInvitationResponse
401UnauthorizedNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/account-invitations

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = organization 1.2"

Example HTTP response

Response 200

{
    "account_invitations": [
        {
            "created_at": "2025-01-01T00:00:00.000Z",
            "created_by": "c23fb561c689455993874fa5d5ed4a2f",
            "expired_time": "2024-04-30T12:34:56.789Z",
            "id": "0a36e0746dbf4908acf0357829701381",
            "master_account_email": "admin@example.com",
            "master_account_id": "9f8e7d6c5b4a3z2y1x0w9v8u7t6s5r",
            "master_account_login_id": "log-archive@samsung.com",
            "master_account_name": "CoreKim",
            "modified_at": "2025-01-01T00:00:00.000Z",
            "modified_by": "c23fb561c689455993874fa5d5ed4a2f",
            "organization_id": "o-x9y8z7w6v5u4t3s2r1q0p9o8n7m6l5",
            "organization_name": "My Organization",
            "requested_time": "2024-04-17T12:34:56.789Z",
            "state": "INVITING",
            "target_account_id": "338c2fc8c29a449dbfa8681f8f1d78e5"
        }
    ],
    "count": 5
}

1.17.2 - 1.1

get /v1/account-invitations

Description

get account invitation list

State ACTIVE (DEPRECATED)

Deprecated versions with Not Before dates that have arrived or expired are no longer supported. We recommend using the latest version.

VersionNot Before
1.120260531

Responses

HTTP CodeDescriptionSchema
200OKAccountInvitationResponse
401UnauthorizedNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/account-invitations

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = organization 1.1"

Example HTTP response

Response 200

{
    "account_invitations": [
        {
            "created_at": "2025-01-01T00:00:00.000Z",
            "created_by": "c23fb561c689455993874fa5d5ed4a2f",
            "expired_time": "2024-04-30T12:34:56.789Z",
            "id": "0a36e0746dbf4908acf0357829701381",
            "master_account_email": "admin@example.com",
            "master_account_id": "9f8e7d6c5b4a3z2y1x0w9v8u7t6s5r",
            "master_account_login_id": "log-archive@samsung.com",
            "master_account_name": "CoreKim",
            "modified_at": "2025-01-01T00:00:00.000Z",
            "modified_by": "c23fb561c689455993874fa5d5ed4a2f",
            "organization_id": "o-x9y8z7w6v5u4t3s2r1q0p9o8n7m6l5",
            "organization_name": "My Organization",
            "requested_time": "2024-04-17T12:34:56.789Z",
            "state": "INVITING",
            "target_account_id": "338c2fc8c29a449dbfa8681f8f1d78e5"
        }
    ],
    "count": 5
}

1.17.3 - 1.0

get /v1/account-invitations

Description

get account invitation list

State ACTIVE (DEPRECATED)

Deprecated versions with Not Before dates that have arrived or expired are no longer supported. We recommend using the latest version.

VersionNot Before
1.020251231

Responses

HTTP CodeDescriptionSchema
200OKAccountInvitationResponse
401UnauthorizedNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/account-invitations

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = organization 1.0"

Example HTTP response

Response 200

{
    "account_invitations": [
        {
            "created_at": "2025-01-01T00:00:00.000Z",
            "created_by": "c23fb561c689455993874fa5d5ed4a2f",
            "expired_time": "2024-04-30T12:34:56.789Z",
            "id": "0a36e0746dbf4908acf0357829701381",
            "master_account_email": "admin@example.com",
            "master_account_id": "9f8e7d6c5b4a3z2y1x0w9v8u7t6s5r",
            "master_account_login_id": "log-archive@samsung.com",
            "master_account_name": "CoreKim",
            "modified_at": "2025-01-01T00:00:00.000Z",
            "modified_by": "c23fb561c689455993874fa5d5ed4a2f",
            "organization_id": "o-x9y8z7w6v5u4t3s2r1q0p9o8n7m6l5",
            "organization_name": "My Organization",
            "requested_time": "2024-04-17T12:34:56.789Z",
            "state": "INVITING",
            "target_account_id": "338c2fc8c29a449dbfa8681f8f1d78e5"
        }
    ],
    "count": 5
}

1.18 - ListAccounts

1.18.1 - 1.2

get /v1/organization-accounts

Description

get accounts list

State ACTIVE (CURRENT)

VersionNot Before
1.2-

Parameters

TypeNameDescriptionSchemaDefault
queryorganization_id
optional
Organization ID
Example : o-x9y8z7w6v5u4t3s2r1q0p9o8n7m6l5
any of [string, null]None
querysize
optional
size
Example : 20
any of [integer, null]20
querypage
optional
page
Example : 0
any of [integer, null]0
querysort
optional
sort
Example : created_at:desc
any of [string, null]None
queryid
optional
Organization Account ID
Example : b4d3f2h1j0l9n8p7r6t5v4x3z2y1w0
any of [string, null]None
queryname
optional
Account Name
Example : score-account
any of [string, null]None
queryemail
optional
Account Email
Example : score@samsung.com
any of [string, null]None
querylogin_id
optional
Login ID
Example : log-archive@samsung.com
any of [string, null]None
queryjoined_start_date
optional
Joined Start Datetime
Example : 2024-05-17T12:34:56.789Z
any of [string, null]None
queryjoined_end_date
optional
Joined End Datetime
Example : 2024-05-17T12:34:56.789Z
any of [string, null]None
queryjoined_method
optional
Joined Method
Example : INVITED
any of [enum (INVITED, CREATED, CLOUD_CONTROL), null]None
queryexclude_policy_id
optional
Policy ID to Exclude
Example : 238c2fc8c29a449dbfa8681f8f1d78e2
any of [string, null]None
queryparent_unit_id
optional
Root or Parent Organization Unit ID
Example : ou-fc8c29a138d78e24bf1fa86812fc8b
any of [string, null]None
queryparent_unit_name
optional
Root or Parent Organization Unit Name
Example : parent-unit-name
any of [string, null]None
querytype
optional
Account Type
Example : MEMBER
any of [enum (MANAGEMENT, DELEGATION, MEMBER, NONE, LOG_ARCHIVE, AUDIT), null]None

Responses

HTTP CodeDescriptionSchema
200OKAccountPageResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone

Example HTTP request

Request path

/v1/organization-accounts

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = organization 1.2"

Example HTTP response

Response 200

{
    "accounts": [
        {
            "created_at": "2025-01-01T00:00:00.000Z",
            "created_by": "c23fb561c689455993874fa5d5ed4a2f",
            "email": "score@samsung.com",
            "id": "0a36e0746dbf4908acf0357829701381",
            "joined_method": "INVITED",
            "joined_time": "2024-05-17T12:34:56.789Z",
            "login_id": "log-archive@samsung.com",
            "modified_at": "2025-01-01T00:00:00.000Z",
            "modified_by": "c23fb561c689455993874fa5d5ed4a2f",
            "name": "score-account",
            "organization_id": "o-x9y8z7w6v5u4t3s2r1q0p9o8n7m6l5",
            "parent_unit_id": "ou-fc8c29a138d78e24bf1fa86812fc8b",
            "parent_unit_name": "parent-unit-name",
            "state": "ACTIVE",
            "type": "MEMBER"
        }
    ],
    "count": 20,
    "page": 0,
    "size": 20,
    "sort": [
        "created_at:asc"
    ]
}

1.18.2 - 1.1

get /v1/organization-accounts

Description

get accounts list

State ACTIVE (DEPRECATED)

Deprecated versions with Not Before dates that have arrived or expired are no longer supported. We recommend using the latest version.

VersionNot Before
1.120260531

Parameters

TypeNameDescriptionSchemaDefault
queryorganization_id
optional
Organization ID
Example : o-x9y8z7w6v5u4t3s2r1q0p9o8n7m6l5
any of [string, null]None
querysize
optional
size
Example : 20
any of [integer, null]20
querypage
optional
page
Example : 0
any of [integer, null]0
querysort
optional
sort
Example : created_at:desc
any of [string, null]None
queryid
optional
Organization Account ID
Example : b4d3f2h1j0l9n8p7r6t5v4x3z2y1w0
any of [string, null]None
queryname
optional
Account Name
Example : score-account
any of [string, null]None
queryemail
optional
Account Email
Example : score@samsung.com
any of [string, null]None
querylogin_id
optional
Login ID
Example : log-archive@samsung.com
any of [string, null]None
queryjoined_start_date
optional
Joined Start Datetime
Example : 2024-05-17T12:34:56.789Z
any of [string, null]None
queryjoined_end_date
optional
Joined End Datetime
Example : 2024-05-17T12:34:56.789Z
any of [string, null]None
queryjoined_method
optional
Joined Method
Example : INVITED
any of [enum (INVITED, CREATED, CLOUD_CONTROL), null]None
queryexclude_policy_id
optional
Policy ID to Exclude
Example : 238c2fc8c29a449dbfa8681f8f1d78e2
any of [string, null]None
queryparent_unit_id
optional
Root or Parent Organization Unit ID
Example : ou-fc8c29a138d78e24bf1fa86812fc8b
any of [string, null]None
queryparent_unit_name
optional
Root or Parent Organization Unit Name
Example : parent-unit-name
any of [string, null]None
querytype
optional
Account Type
Example : MEMBER
any of [enum (MANAGEMENT, DELEGATION, MEMBER, NONE, LOG_ARCHIVE, AUDIT), null]None

Responses

HTTP CodeDescriptionSchema
200OKAccountPageResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone

Example HTTP request

Request path

/v1/organization-accounts

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = organization 1.1"

Example HTTP response

Response 200

{
    "accounts": [
        {
            "created_at": "2025-01-01T00:00:00.000Z",
            "created_by": "c23fb561c689455993874fa5d5ed4a2f",
            "email": "score@samsung.com",
            "id": "0a36e0746dbf4908acf0357829701381",
            "joined_method": "INVITED",
            "joined_time": "2024-05-17T12:34:56.789Z",
            "login_id": "log-archive@samsung.com",
            "modified_at": "2025-01-01T00:00:00.000Z",
            "modified_by": "c23fb561c689455993874fa5d5ed4a2f",
            "name": "score-account",
            "organization_id": "o-x9y8z7w6v5u4t3s2r1q0p9o8n7m6l5",
            "parent_unit_id": "ou-fc8c29a138d78e24bf1fa86812fc8b",
            "parent_unit_name": "parent-unit-name",
            "state": "ACTIVE",
            "type": "MEMBER"
        }
    ],
    "count": 20,
    "page": 0,
    "size": 20,
    "sort": [
        "created_at:asc"
    ]
}

1.18.3 - 1.0

get /v1/organization-accounts

Description

get accounts list

State ACTIVE (DEPRECATED)

Deprecated versions with Not Before dates that have arrived or expired are no longer supported. We recommend using the latest version.

VersionNot Before
1.020251231

Parameters

TypeNameDescriptionSchemaDefault
queryorganization_id
optional
Organization ID
Example : o-x9y8z7w6v5u4t3s2r1q0p9o8n7m6l5
any of [string, null]None
querysize
optional
size
Example : 20
any of [integer, null]20
querypage
optional
page
Example : 0
any of [integer, null]0
querysort
optional
sort
Example : created_at:desc
any of [string, null]None
queryid
optional
Organization Account ID
Example : b4d3f2h1j0l9n8p7r6t5v4x3z2y1w0
any of [string, null]None
queryname
optional
Account Name
Example : score-account
any of [string, null]None
queryemail
optional
Account Email
Example : score@samsung.com
any of [string, null]None
querylogin_id
optional
Login ID
Example : log-archive@samsung.com
any of [string, null]None
queryjoined_start_date
optional
Joined Start Datetime
Example : 2024-05-17T12:34:56.789Z
any of [string, null]None
queryjoined_end_date
optional
Joined End Datetime
Example : 2024-05-17T12:34:56.789Z
any of [string, null]None
queryjoined_method
optional
Joined Method
Example : INVITED
any of [enum (INVITED, CREATED, CLOUD_CONTROL), null]None
queryexclude_policy_id
optional
Policy ID to Exclude
Example : 238c2fc8c29a449dbfa8681f8f1d78e2
any of [string, null]None
queryparent_unit_id
optional
Root or Parent Organization Unit ID
Example : ou-fc8c29a138d78e24bf1fa86812fc8b
any of [string, null]None
queryparent_unit_name
optional
Root or Parent Organization Unit Name
Example : parent-unit-name
any of [string, null]None
querytype
optional
Account Type
Example : MEMBER
any of [enum (MANAGEMENT, DELEGATION, MEMBER, NONE, LOG_ARCHIVE, AUDIT), null]None

Responses

HTTP CodeDescriptionSchema
200OKAccountPageResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone

Example HTTP request

Request path

/v1/organization-accounts

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = organization 1.0"

Example HTTP response

Response 200

{
    "accounts": [
        {
            "created_at": "2025-01-01T00:00:00.000Z",
            "created_by": "c23fb561c689455993874fa5d5ed4a2f",
            "email": "score@samsung.com",
            "id": "0a36e0746dbf4908acf0357829701381",
            "joined_method": "INVITED",
            "joined_time": "2024-05-17T12:34:56.789Z",
            "login_id": "log-archive@samsung.com",
            "modified_at": "2025-01-01T00:00:00.000Z",
            "modified_by": "c23fb561c689455993874fa5d5ed4a2f",
            "name": "score-account",
            "organization_id": "o-x9y8z7w6v5u4t3s2r1q0p9o8n7m6l5",
            "parent_unit_id": "ou-fc8c29a138d78e24bf1fa86812fc8b",
            "parent_unit_name": "parent-unit-name",
            "state": "ACTIVE",
            "type": "MEMBER"
        }
    ],
    "count": 20,
    "page": 0,
    "size": 20,
    "sort": [
        "created_at:asc"
    ]
}

1.19 - ListOrganizationInvitations

1.19.1 - 1.2

get /v1/organization-invitations

Description

get organization invitation list

State ACTIVE (CURRENT)

VersionNot Before
1.2-

Parameters

TypeNameDescriptionSchemaDefault
queryorganization_id
optional
Organization ID
Example : o-x9y8z7w6v5u4t3s2r1q0p9o8n7m6l5
any of [string, null]None
querysize
optional
size
Example : 20
any of [integer, null]20
querypage
optional
page
Example : 0
any of [integer, null]0
querysort
optional
sort
Example : created_at:desc
any of [string, null]None
queryaccount_id
optional
Master Account Name
Example : 9f8e7d6c5b4a3z2y1x0w9v8u7t6s5r
any of [string, null]None
queryaccount_name
optional
Master Account Name
Example : CoreKim
any of [string, null]None
queryaccount_email
optional
Master Account Email
Example : admin@example.com
any of [string, null]None
querystate
optional
Invitation State
Example : INVITING
any of [enum (INVITING, REFUSED, INVITED, CANCELED, EXPIRED), null]None
querylogin_id
optional
Login ID
Example : log-archive@samsung.com
any of [string, null]None

Responses

HTTP CodeDescriptionSchema
200OKOrganizationInvitationPageResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone

Example HTTP request

Request path

/v1/organization-invitations

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = organization 1.2"

Example HTTP response

Response 200

{
    "count": 20,
    "organization_invitations": [
        {
            "account_email": "admin@example.com",
            "account_name": "CoreKim",
            "created_at": "2025-01-01T00:00:00.000Z",
            "created_by": "c23fb561c689455993874fa5d5ed4a2f",
            "id": "0a36e0746dbf4908acf0357829701381",
            "login_id": "log-archive@samsung.com",
            "modified_at": "2025-01-01T00:00:00.000Z",
            "modified_by": "c23fb561c689455993874fa5d5ed4a2f",
            "organization_id": "o-x9y8z7w6v5u4t3s2r1q0p9o8n7m6l5",
            "state": "INVITING",
            "target_account_id": "9f8e7d6c5b4a3z2y1x0w9v8u7t6s5r"
        }
    ],
    "page": 0,
    "size": 20,
    "sort": [
        "created_at:asc"
    ]
}

1.19.2 - 1.1

get /v1/organization-invitations

Description

get organization invitation list

State ACTIVE (DEPRECATED)

Deprecated versions with Not Before dates that have arrived or expired are no longer supported. We recommend using the latest version.

VersionNot Before
1.120260531

Parameters

TypeNameDescriptionSchemaDefault
queryorganization_id
optional
Organization ID
Example : o-x9y8z7w6v5u4t3s2r1q0p9o8n7m6l5
any of [string, null]None
querysize
optional
size
Example : 20
any of [integer, null]20
querypage
optional
page
Example : 0
any of [integer, null]0
querysort
optional
sort
Example : created_at:desc
any of [string, null]None
queryaccount_id
optional
Master Account Name
Example : 9f8e7d6c5b4a3z2y1x0w9v8u7t6s5r
any of [string, null]None
queryaccount_name
optional
Master Account Name
Example : CoreKim
any of [string, null]None
queryaccount_email
optional
Master Account Email
Example : admin@example.com
any of [string, null]None
querystate
optional
Invitation State
Example : INVITING
any of [enum (INVITING, REFUSED, INVITED, CANCELED, EXPIRED), null]None
querylogin_id
optional
Login ID
Example : log-archive@samsung.com
any of [string, null]None

Responses

HTTP CodeDescriptionSchema
200OKOrganizationInvitationPageResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone

Example HTTP request

Request path

/v1/organization-invitations

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = organization 1.1"

Example HTTP response

Response 200

{
    "count": 20,
    "organization_invitations": [
        {
            "account_email": "admin@example.com",
            "account_name": "CoreKim",
            "created_at": "2025-01-01T00:00:00.000Z",
            "created_by": "c23fb561c689455993874fa5d5ed4a2f",
            "id": "0a36e0746dbf4908acf0357829701381",
            "login_id": "log-archive@samsung.com",
            "modified_at": "2025-01-01T00:00:00.000Z",
            "modified_by": "c23fb561c689455993874fa5d5ed4a2f",
            "organization_id": "o-x9y8z7w6v5u4t3s2r1q0p9o8n7m6l5",
            "state": "INVITING",
            "target_account_id": "9f8e7d6c5b4a3z2y1x0w9v8u7t6s5r"
        }
    ],
    "page": 0,
    "size": 20,
    "sort": [
        "created_at:asc"
    ]
}

1.19.3 - 1.0

get /v1/organization-invitations

Description

get organization invitation list

State ACTIVE (DEPRECATED)

Deprecated versions with Not Before dates that have arrived or expired are no longer supported. We recommend using the latest version.

VersionNot Before
1.020251231

Parameters

TypeNameDescriptionSchemaDefault
queryorganization_id
optional
Organization ID
Example : o-x9y8z7w6v5u4t3s2r1q0p9o8n7m6l5
any of [string, null]None
querysize
optional
size
Example : 20
any of [integer, null]20
querypage
optional
page
Example : 0
any of [integer, null]0
querysort
optional
sort
Example : created_at:desc
any of [string, null]None
queryaccount_id
optional
Master Account Name
Example : 9f8e7d6c5b4a3z2y1x0w9v8u7t6s5r
any of [string, null]None
queryaccount_name
optional
Master Account Name
Example : CoreKim
any of [string, null]None
queryaccount_email
optional
Master Account Email
Example : admin@example.com
any of [string, null]None
querystate
optional
Invitation State
Example : INVITING
any of [enum (INVITING, REFUSED, INVITED, CANCELED, EXPIRED), null]None
querylogin_id
optional
Login ID
Example : log-archive@samsung.com
any of [string, null]None

Responses

HTTP CodeDescriptionSchema
200OKOrganizationInvitationPageResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone

Example HTTP request

Request path

/v1/organization-invitations

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = organization 1.0"

Example HTTP response

Response 200

{
    "count": 20,
    "organization_invitations": [
        {
            "account_email": "admin@example.com",
            "account_name": "CoreKim",
            "created_at": "2025-01-01T00:00:00.000Z",
            "created_by": "c23fb561c689455993874fa5d5ed4a2f",
            "id": "0a36e0746dbf4908acf0357829701381",
            "login_id": "log-archive@samsung.com",
            "modified_at": "2025-01-01T00:00:00.000Z",
            "modified_by": "c23fb561c689455993874fa5d5ed4a2f",
            "organization_id": "o-x9y8z7w6v5u4t3s2r1q0p9o8n7m6l5",
            "state": "INVITING",
            "target_account_id": "9f8e7d6c5b4a3z2y1x0w9v8u7t6s5r"
        }
    ],
    "page": 0,
    "size": 20,
    "sort": [
        "created_at:asc"
    ]
}

1.20 - ListOrganizations

1.20.1 - 1.2

get /v1/organizations

Description

get organizations list

State ACTIVE (CURRENT)

VersionNot Before
1.2-

Parameters

TypeNameDescriptionSchemaDefault
queryorganization_id
optional
Organization ID
Example : o-x9y8z7w6v5u4t3s2r1q0p9o8n7m6l5
any of [string, null]None
querysize
optional
size
Example : 20
any of [integer, null]20
querypage
optional
page
Example : 0
any of [integer, null]0
querysort
optional
sort
Example : created_at:desc
any of [string, null]None
queryname
optional
Organization Name
Example : My Organization
any of [string, null]None
querymaster_account_id
optional
Organization Account ID
Example : b4d3f2h1j0l9n8p7r6t5v4x3z2y1w0
any of [string, null]None

Responses

HTTP CodeDescriptionSchema
200OKOrganizationPageResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone

Example HTTP request

Request path

/v1/organizations

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = organization 1.2"

Example HTTP response

Response 200

{
    "count": 20,
    "organizations": [
        {
            "created_at": "2025-01-01T00:00:00.000Z",
            "created_by": "c23fb561c689455993874fa5d5ed4a2f",
            "delegation_account_id": "124e7d6c5b4a3z2y1x0w9v8u7t6s5r",
            "id": "o-x9y8z7w6v5u4t3s2r1q0p9o8n7m6l5",
            "master_account_id": "9f8e7d6c5b4a3z2y1x0w9v8u7t6s5r",
            "modified_at": "2025-01-01T00:00:00.000Z",
            "modified_by": "c23fb561c689455993874fa5d5ed4a2f",
            "name": "My Organization",
            "root_unit_id": "r-abcd7d6c5b4a3z2y1x0w9v8u7t6s5r",
            "use_scp_yn": true
        }
    ],
    "page": 0,
    "size": 20,
    "sort": [
        "created_at:asc"
    ]
}

1.20.2 - 1.1

get /v1/organizations

Description

get organizations list

State ACTIVE (DEPRECATED)

Deprecated versions with Not Before dates that have arrived or expired are no longer supported. We recommend using the latest version.

VersionNot Before
1.120260531

Parameters

TypeNameDescriptionSchemaDefault
queryorganization_id
optional
Organization ID
Example : o-x9y8z7w6v5u4t3s2r1q0p9o8n7m6l5
any of [string, null]None
querysize
optional
size
Example : 20
any of [integer, null]20
querypage
optional
page
Example : 0
any of [integer, null]0
querysort
optional
sort
Example : created_at:desc
any of [string, null]None
queryname
optional
Organization Name
Example : My Organization
any of [string, null]None
querymaster_account_id
optional
Organization Account ID
Example : b4d3f2h1j0l9n8p7r6t5v4x3z2y1w0
any of [string, null]None

Responses

HTTP CodeDescriptionSchema
200OKOrganizationPageResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone

Example HTTP request

Request path

/v1/organizations

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
[...]
